using System;
using System.Collections;
using System.Web;

namespace ShoppingCartGeneric
{
	/// <summary>
	/// Summary description for CSessionShoppingCart.
	/// </summary>
	public class CSessionShoppingCart:IShoppingCart
	{

		public int Add(string cartid, IShoppingCartItem item)
		{
			ArrayList arr;
			if(HttpContext.Current.Session["mycart"]!=null)
			{
				arr=(ArrayList)HttpContext.Current.Session["mycart"];
			}
			else
			{
				arr=new ArrayList();
				HttpContext.Current.Session["mycart"]=arr;
			}
			arr.Add(item);
			return 0;
		}

		public int Remove(string cartid, IShoppingCartItem item)
		{
			ArrayList items=(ArrayList)HttpContext.Current.Session["mycart"];
			for(int i=0;i<items.Count;i++)
			{
				if(((IShoppingCartItem)items[i]).ProductID==item.ProductID)
				{
					items.RemoveAt(i);
					break;
				}
			}
			return 0;
		}

		public System.Collections.ArrayList GetItems(string cartid)
		{
			return (ArrayList)HttpContext.Current.Session["mycart"];
		}
	}
}
