using System;
using System.Collections;

namespace ShoppingCartGeneric
{
	public interface IShoppingCartItem
	{
		int ProductID
		{
			get;
			set;
		}
		string ProductName
		{
			get;
			set;
		}
		decimal UnitPrice
		{
			get;
			set;
		}
		int Quantity
		{
			get;
			set;
		}
	}

	public interface IShoppingCart
	{
		int Add(string cartid,IShoppingCartItem item);
		int Remove(string cartid,IShoppingCartItem item);
		ArrayList GetItems(string cartid);
	}


}
